Subject: bug#28277: emacs -nw bug?

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Aug 2017 11:56:05 -0400

Richard Banach wrote:

> I use   emacs -nw  and see what looks like a bug
>
> * in tex mode, if I type   $\it identifiername$   it doesn't recognise
> the second $ as closing the scope of \it ... and wants to underline
> everything that follows ... i haven't found how to turn this off

Thanks for the report. This is not specific to emacs -nw.
Relevant forms that tex-mode does understand are:

$foo$
\textit{foo}
{\it foo}

I'm not sure what you are trying to achieve with an \it inside math mode?
I don't think I've seen that form used before.